Pre-release — content may change.

Jobs and imports

List import jobs

GET
/import_jobs

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?string

Comma-separated list of related resources to include. Allowed values: author, json_schema, documents.

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

filter?

Filter predicates on Import Job attributes. Keys take the form filter[<attribute>_<predicate>]=<value>, repeatable per query.

Common predicates by attribute type:

  • String / text / uuid: eq, not_eq, cont, not_cont, matches, start, end, present, blank, null, not_null, in, not_in
  • Integer / decimal / date / datetime: eq, not_eq, gt, gteq, lt, lteq, present, blank, null, not_null, in, not_in
  • Boolean: eq, not_eq, present, blank, null, not_null

Default sort is -created_at. Example: ?filter[state_eq]=processing&filter[type_eq]=people

fields[import_jobs]?array<>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/import_jobs?include=author%2Cjson_schema"
{  "data": [    {      "type": "import_jobs",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {        "name": "string",        "type": "string",        "state": "string",        "result": "string",        "imported_rows": 0,        "failed_rows": 0,        "dry_run": true,        "queued_at": "2019-08-24T14:15:22Z",        "processing_at": "2019-08-24T14:15:22Z",        "completed_at": "2019-08-24T14:15:22Z",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deleted_at": "2019-08-24T14:15:22Z",        "row_count": 0,        "populating_row_count": 0,        "populated_row_count": 0,        "save_mode": "string",        "valid_header_row": true,        "header_row_errors": [          {}        ],        "source_document_size": 0,        "transformed_row_count": 0,        "failed_transformed_row_count": 0,        "successful_transformed_row_count": 0,        "completed_row_count": 0,        "successful_completed_row_count": 0,        "failed_completed_row_count": 0,        "import_options": {},        "navigated_dry_run_intro": true,        "navigated_processing_run_intro": true,        "ui_title_translation_key": "string"      },      "relationships": {        "author": {          "data": {            "type": "people",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        },        "json_schema": {          "data": {            "type": "json_schemas",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        },        "documents": {          "data": [            {              "type": "documents",              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"            }          ]        }      },      "links": {        "self": "/import_jobs/7247ad7d-9275-454b-9e3a-0570e403739e",        "data_transformation_results_download": {          "href": "https://files.wicketcloud.com/import_jobs/7247ad7d-9275-454b-9e3a-0570e403739e/transformation_results.csv"        },        "results_download": {          "href": "https://files.wicketcloud.com/import_jobs/7247ad7d-9275-454b-9e3a-0570e403739e/results.csv"        },        "template_download": {          "href": "https://files.wicketcloud.com/import_jobs/7247ad7d-9275-454b-9e3a-0570e403739e/template.csv"        }      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}